package enum

type SysCfg string

const (
	AppName = "app_name"

	FileBucketHost             = "file_bucket_host"
	FileBucketRegion           = "file_bucket_region"
	FileBucketScheme           = "file_bucket_scheme"
	FileExt                    = "file_ext"
	FileSecretKey              = "file_secret_key"
	FileUserUploadMaxSize      = "file_user_upload_max_size"
	FileAccessKey              = "file_access_key"
	FileBucket                 = "file_bucket"
	BigDataScreenAccount       = "big_data_screen_account"
	BigDataScreenPassword      = "big_data_screen_password"
	ProductionWorkshopAccount  = "production_workshop_account"
	ProductionWorkshopPassword = "production_workshop_password"
)

func (gt SysCfg) String() string {
	switch gt {
	case AppName:
		return "项目名称"
	case FileBucketHost:
		return "对象存储域名"
	case FileBucketRegion:
		return "文件所属区域"
	case FileExt:
		return "文件上传后缀,后台用户不限制后缀"
	case FileBucketScheme:
		return "文件上传模式"
	case FileSecretKey:
		return "对象存储SecretToken"
	case FileUserUploadMaxSize:
		return "用户单文件最大上传大小,byte"
	case FileAccessKey:
		return "对象存储AccessToken"
	case FileBucket:
		return "对象存储bucket"
	case BigDataScreenAccount:
		return "数据大屏-账号"
	case BigDataScreenPassword:
		return "数据大屏-密码"
	case ProductionWorkshopAccount:
		return "制作车间-账号"
	case ProductionWorkshopPassword:
		return "制作车间-密码"
	default:
		return "未知"
	}
}
